### A free/open-source library for quantitative finance

Public Member Functions
GbpLiborSwapIsdaFix Class Reference

GbpLiborSwapIsdaFix index base class More...

`#include <ql/indexes/swap/gbpliborswap.hpp>`

Inheritance diagram for GbpLiborSwapIsdaFix:
[legend]

List of all members.

## Public Member Functions

| GbpLiborSwapIsdaFix (const Period &tenor, const Handle< YieldTermStructure > &h=Handle< YieldTermStructure >())
| GbpLiborSwapIsdaFix (const Period &tenor, const Handle< YieldTermStructure > &forwarding, const Handle< YieldTermStructure > &discounting)

## Detailed Description

GbpLiborSwapIsdaFix index base class

GBP Libor Swap indexes fixed by ISDA in cooperation with Reuters and Intercapital Brokers at 11am London. Semiannual Actual/365F vs 6M Libor, 1Y Annual vs 3M Libor. Reuters page ISDAFIX4 or GBPSFIX=.

Further info can be found at <http://www.isda.org/fix/isdafix.html> or Reuters page ISDAFIX.